/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';
.hinweis-component {
  font-size: 1.6rem;
  line-height: 24px;
  background-color: @platform-blue5;
  width: 100%;
  padding: 12px;
  margin: 12px 0;
  color: @text-color;
  border: 1px solid @platform-blue5;
  &.mode-warning {
    background-color: @platform-yellow;
    border: 1px solid @platform-yellow;
  }
  &:focus {
    border: 1px dotted #000;
    outline: none;
  }
  .hinweis-title {
    font-weight: 500;
    color: @text-color;
    svg {
      width: 18px;
      height: 18px;
      margin-right: 11px;
      vertical-align: text-bottom;
    }
  }
  .hinweis-content {
    margin-bottom: 0;
    &.has-mode {
      padding-left: 28px;
    }
    p:last-child {
      margin-bottom: 0;
    }
  }
}
